package com.xynet.marketing.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xynet.marketing.utils.collections.map.JMap;

import java.util.List;
import java.util.Map;

/**
 * 项目设备服务
 * @author hechunping
 * @date 2025/1/20
 */
public interface MercProjectDeviceService {
    /**
     * 对象查询
     * @param param
     * @return
     */
    Map<String,Object> obj(JMap<String,Object> param);

    /**
     * 新增或修改
     * @param param
     * @return
     */
    void saveOrUpdate(JMap<String, Object> param);

    /**
     * 列表查询
     * @param param
     * @return
     */
    List<Map<String, Object>> list(JMap<String, Object> param);

    /**
     * 分页查询
     *
     * @param param
     * @return
     */
    Page<Map<String, Object>> page(JMap<String, Object> param);

    /**
     * 根据活动ID删除设备
     *
     * @param actId
     * @return
     */
    void removeByActId(Integer actId);

    /**
     * 根据活动ID批量保存设备
     *
     * @param actId
     * @param actType
     * @param goodsList
     */
    void saveBatchByActId(Integer actId, String actType, List<JMap<String, Object>> goodsList);

    /**
     * 根据活动ID查询设备列表
     *
     * @param actId
     * @param actType
     * @return
     */
    List<Map<String, Object>> listByActId(Integer actId, String actType);
}
